aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php7-solr/APKBUILD
diff options
context:
space:
mode:
authorFabio da Silva Ribeiro <silva.ribeiro@dafiti.com.br>2016-04-06 19:47:19 -0300
committerTimo Teräs <timo.teras@iki.fi>2016-04-19 13:35:02 +0000
commit39d091cc0af4a5863e0979332e8672cee161cabd (patch)
treed33c2cc96ea7dc5f87f37fc15369a97d8a661059 /testing/php7-solr/APKBUILD
parent3355f02b7debdc386af67e665db6d7e05fed1b30 (diff)
downloadaports-39d091cc0af4a5863e0979332e8672cee161cabd.tar.gz
aports-39d091cc0af4a5863e0979332e8672cee161cabd.tar.bz2
aports-39d091cc0af4a5863e0979332e8672cee161cabd.tar.xz
testing/php7-solr: PHP7 Apache Solr package
Diffstat (limited to 'testing/php7-solr/APKBUILD')
-rw-r--r--testing/php7-solr/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/php7-solr/APKBUILD b/testing/php7-solr/APKBUILD
new file mode 100644
index 0000000000..731c95ebcd
--- /dev/null
+++ b/testing/php7-solr/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Fabio Ribeiro <fabiorphp@gmail.com>
+# Maintainer: Fabio Ribeiro <fabiorphp@gmail.com>
+pkgname=php7-solr
+_pkgreal=solr
+pkgver=2.4.0
+_pkgver=${pkgver}
+pkgrel=0
+pkgdesc="Apache SOLR extension for PHP"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends="php7-json"
+pecldepends="php7-dev curl-dev libxml2-dev autoconf"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+ cd "$builddir"
+ phpize7 || return 1
+ ./configure --prefix=/usr --with-php-config=php-config7 || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make INSTALL_ROOT="$pkgdir"/ install || return 1
+ install -d "$pkgdir"/etc/php7/conf.d || return 1
+ echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/40_$_pkgreal.ini
+}
+
+md5sums="2c9accf66681a3daaaf371bc07e44902 solr-2.4.0.tgz"
+sha256sums="22865dafb76fc5839e84a5bd423bb37d5062883e5dfc4d064b43129ac9f2752c solr-2.4.0.tgz"
+sha512sums="05b6e252fadf55a7104bc6963e522684dad80540315e89729f4c589698ee68ff71f0e536b0e38ee4ae10b01cb04115ca12ced2897c3145d46fc54ab719de3590 solr-2.4.0.tgz"